%define         solib tolua++-5.1

Name:           tolua++
Version:        1.0.92
Release:        4%{?dist}
Summary:        A tool to integrate C/C++ code with Lua

Group:          Development/Tools
License:        Freeware
URL:            http://www.codenix.com/~tolua/
Source0:        http://www.codenix.com/~tolua/%{name}-%{version}.tar.bz2
Patch0:         tolua++-1.0.92-makeso.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  scons
BuildRequires:  lua-devel >= 5.1

%description
tolua++ is an extended version of tolua, a tool to integrate C/C++ code with
Lua. tolua++ includes new features oriented to C++

%package devel
Summary:        Development files for tolua++
Group:          Development/Libraries
Requires:       tolua++ = %{version}-%{release}
Requires:       lua-devel >= 5.1

%description devel
Development files for tolua++


%prep
%setup -q
%patch0 -p1
sed -i 's/\r//' doc/%{name}.html


%build
scons %{?_smp_mflags} -Q CCFLAGS="$RPM_OPT_FLAGS  -I%{_includedir}" tolua_lib=%{solib} LINKFLAGS="-Wl,-soname,lib%{solib}.so"
#Recompile the exe without the soname. An ugly hack.
gcc -o bin/%{name} src/bin/tolua.o src/bin/toluabind.o -Llib -l%{solib} -llua -ldl -lm


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir %{buildroot}%{_libdir}
mkdir %{buildroot}%{_includedir}
install -m0755 bin/%{name}  %{buildroot}%{_bindir}
install -m0755 lib/lib%{solib}.so %{buildroot}%{_libdir}
install -m0644 include/%{name}.h %{buildroot}%{_includedir}
cd %{buildroot}%{_libdir}
ln -s lib%{solib}.so libtolua++.so


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_libdir}/lib%{solib}.so
%doc README doc/*


%files devel
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_libdir}/libtolua++.so
%{_includedir}/%{name}.h


%changelog
* Mon Aug 28 2006 Ian Chapman <packages@amiga-hardware.com> 1.0.92-4%{?dist}
- Release bump for FC6 mass rebuild

* Sat Jun 03 2006 Ian Chapman <packages@amiga-hardware.com> 1.0.92-3%{?dist}
- Fixed issue with where tolua++ was tagged with an soname the same as the lib
  meaning ld would fail to locate the library.

* Fri Jun 02 2006 Ian Chapman <packages@amiga-hardware.com> 1.0.92-2
- Changed license from Freeware Style to just Freeware
- Changed => to more conventional >= for (build)requires
- Moved %%{_bindir}/tolua++ to devel package
- Now adds soname to library

* Fri Jun 02 2006 Ian Chapman <packages@amiga-hardware.com> 1.0.92-1
- Initial Release
